Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85537 - (NET PCNET32) dhcp does not work with NIC
Summary: (NET PCNET32) dhcp does not work with NIC
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-04 02:03 UTC by Andreas Thienemann
Modified: 2013-07-03 02:09 UTC (History)
1 user (show)

Fixed In Version: FC2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-07-09 12:15:19 UTC


Attachments (Terms of Use)
Patch to manually disable Link-Check in ifup (deleted)
2003-12-10 17:30 UTC, Andreas Thienemann
no flags Details | Diff

Description Andreas Thienemann 2003-03-04 02:03:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
When trying to configure an ethernet device with the AMD PCnet32/Lance chipset
the ifup script fails with the message "no link present... check cable?"

This problem is related to the check_link_down funktion in
/etc/sysconfig/network-scripts/network-functions calling both mii-tool and
ethtool which do not deliver reliable data:

/------
| [root@dyn116 network-scripts]# ip link show eth0
| 2: eth0: <BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast qlen 100
|     link/ether 10:00:5a:5b:f1:35 brd ff:ff:ff:ff:ff:ff
| [root@dyn116 network-scripts]# ip addr show eth0
| 2: eth0: <BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast qlen 100
|     link/ether 10:00:5a:5b:f1:35 brd ff:ff:ff:ff:ff:ff
|     inet 192.168.1.15/24 brd 192.168.1.255 scope global eth0
| [root@dyn116 network-scripts]# ping -c 1 192.168.1.1
| PING 192.168.1.1 (192.168.1.1) 56(84) bytes of data.
| 64 bytes from 192.168.1.1: icmp_seq=1 ttl=255 time=0.665 ms
| 
| --- 192.168.1.1 ping statistics ---
| 1 packets transmitted, 1 received, 0% packet loss, time 0ms
| rtt min/avg/max/mdev = 0.665/0.665/0.665/0.000 ms
\------
---
The network is obviously working but mii-tool and ethtool think otherwise:

/------
| [root@dyn116 network-scripts]# mii-tool eth0
| SIOCGMIIPHY on 'eth0' failed: Operation not supported
\------

/------
| [root@dyn116 network-scripts]# ethtool eth0
| Settings for eth0:
|         Supported ports: [ TP MII ]
|         Supported link modes:   10baseT/Half 10baseT/Full
|                                 100baseT/Half 100baseT/Full
|         Supports auto-negotiation: Yes
|         Advertised link modes:  Not reported
|         Advertised auto-negotiation: No
|         Speed: 10Mb/s
|         Duplex: Half
|         Port: MII
|         PHYAD: 0
|         Transceiver: internal
|         Auto-negotiation: off
|         Current message level: 0x00000001 (1)
|         Link detected: no
\------

The link data from ethtool is bogus.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. ifup eth0
2.
3.
    

Actual Results:  error about no link

Expected Results:  ip address assigned via dhcp

Additional info:

Initscripts version: 7-10.1

The specific network adapter:

00:13.0 Ethernet controller: Advanced Micro Devices [AMD] 79c970 [PCnet32 LANCE]
(rev 16)
        Flags: bus master, medium devsel, latency 66, IRQ 11
        I/O ports at ff80 [size=32]
        Memory at fffbfc00 (32-bit, non-prefetchable) [size=32]
        Expansion ROM at <unassigned> [disabled] [size=64K]

dmesg output:

pcnet32.c:v1.27b 01.10.2002 tsbogend@alpha.franken.de
pcnet32: PCnet/PCI II 79C970A at 0xff80, 10 00 5a 5b f1 35 assigned IRQ 11.
divert: allocating divert_blk for eth0
eth0: registered as PCnet/PCI II 79C970A
pcnet32: 1 cards_found.

Comment 1 Bill Nottingham 2003-03-04 03:53:38 UTC
Assigning to the kernel; unfortunately, when ethtool succeeds, we trust its results.

Comment 2 Andreas Thienemann 2003-12-10 17:30:45 UTC
Created attachment 96448 [details]
Patch to manually disable Link-Check in ifup

This patch checks to the ifup script in /etc/sysconfig/network-scripts checks
whether a ifcfg-device file has NO_LINK_CHECK defined and if yes skips checking
the existance of a link.
This is needed for pcnet32 e.g. as this driver always reports the link as
missing.

Comment 3 Bill Nottingham 2004-05-24 20:56:58 UTC
It has been suggested that this works in FC2. Can you test that?

Comment 4 Andreas Thienemann 2004-05-24 21:31:46 UTC
Yup, I'll test it this weekend.

Comment 5 Andreas Thienemann 2004-07-09 12:15:19 UTC
Verified. Works with FC2.

Closing bug as resolved.


Note You need to log in before you can comment on or make changes to this bug.